
function [X,U,L,eps_u, eps_l, conf] = IRN(filename, alfa)
% metoda Sled nezávislých náhodných čísel (Independent random number
% streams)
%% nahrání dat z excelu
%optimální řešení
x(:,1) = readmatrix(filename,'Sheet','xn','Range','A2:AX2');
%optimální hodnota účelové funkce
v(:,1) = readmatrix(filename,'Sheet','nn','Range','A2:AX2');
%horní odhad
u(:,1) = readmatrix(filename,'Sheet','u','Range','A2:AX2');

nl=length(x); %počet opakování úlohy
%% spočítání výberových průměrů proměnných
X= mean(x);

%% spočítání Horního odhadu

U=mean(u);   % horní odhad
%chyba horního odhadu
Su2=var(u);   %výběrový rozptyl
if(strcmp(filename,'results_20.xls'))
t = tinv(1-alfa,nl-1); %Studentovo rozdělení
else
t = norminv(1-alfa);    %N(0,1)
end
eps_u = t*sqrt(Su2)/sqrt(nl);

%% spočítání Dolního odhadu
L=mean(v);   %dolní odhad
Sl2=var(v);  %výběrový rozptyl
%chyba dorního odhadu
eps_l = t*sqrt(Sl2)/sqrt(nl);

%% interval spolehlivosti
conf = max([(U-L) 0])+ eps_l + eps_u; %horní hranice intervalu spolehlivosti, dolní je 0

fprintf('%s bylo zpracováno pomocí IRN\n',filename );
end